package jat.dto;

import jat.fakeDB.Entity;

public class Person implements Entity {

	private long id;
	private String name;
	private String surname;
	private StarShip ship;
	private byte[] avatarImg;
	
	public Person() {
		super();
	}

	public Person(String name, String surname) {
		super();
		this.name = name;
		this.surname = surname;
	}

	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	@Override
	public void merge(Entity e) {
		Person p = (Person)e;
		name = p.name;
		surname = p.surname;
		ship = p.ship;
	}

	public StarShip getShip() {
		return ship;
	}

	public byte[] getAvatarImg() {
		return avatarImg;
	}

	public void setAvatarImg(byte[] avatarImg) {
		this.avatarImg = avatarImg;
	}

	public void setShip(StarShip ship) {
		if(this.ship != null) {
			this.ship.getCrewMembers().remove(this);
		}
		this.ship = ship;
		if(this.ship != null) {
			this.ship.getCrewMembers().add(this);
		}
	}

}
