package jat.dto;

import java.util.ArrayList;
import java.util.List;

import jat.fakeDB.Entity;

public class StarShip implements Entity {

	private long id;
	private String callSign;
	private boolean army;
	private int crewCapacity;
	private List<Person> crewMembers = new ArrayList<>();

	
	
	public StarShip() {
		super();
	}

	public StarShip(String callSign, boolean army) {
		super();
		this.callSign = callSign;
		this.army = army;
	}
	public long getId() {
		return id;
	}

	public void setId(long id) {
		this.id = id;
	}

	public String getCallSign() {
		return callSign;
	}

	public void setCallSign(String callSign) {
		this.callSign = callSign;
	}

	public boolean isArmy() {
		return army;
	}

	public void setArmy(boolean army) {
		this.army = army;
	}

	public int getCrewCapacity() {
		return crewCapacity;
	}

	public void setCrewCapacity(int crueCapacity) {
		this.crewCapacity = crueCapacity;
	}

	public List<Person> getCrewMembers() {
		return crewMembers;
	}

	public void setCrewMembers(List<Person> crewMembers) {
		this.crewMembers = crewMembers;
	}

	public boolean addCrewMember(Person e) {
		return crewMembers.add(e);
	}

	public boolean removeCrewMember(Object o) {
		return crewMembers.remove(o);
	}

	@Override
	public void merge(Entity e) {
		StarShip s = (StarShip) e;
		callSign = s.callSign;
		army = s.army;
		crewCapacity = s.crewCapacity;
	}

}
