package jat.fakeDB;

import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;

import jat.dto.Person;
import jat.dto.StarShip;

@ManagedBean
@ApplicationScoped
public class StarShipDB extends EntityDB<StarShip> {

	public StarShipDB() {
		insert(new StarShip("Enterprise", false));
		insert(new StarShip("WarHammwer", true));
	}

	@Override
	public void remove(long id) {
		StarShip s = find(id);
		List<Person> crue = new ArrayList<>(s.getCrewMembers());
		crue.forEach(crueMember -> crueMember.setShip(null));
		super.remove(id);
	}

	
}
