package jat.managedbeans;

import java.util.Locale;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;

@ManagedBean
@SessionScoped
public class LanguageMB {
	private String locale;
	
	public String getLocale() {
		if(locale == null) {
			String languages =  FacesContext.getCurrentInstance().getExternalContext().getRequestHeaderMap().get("Accept-Language");
			if(languages != null) {
				return languages.split(",")[0];
			}
		}
		return locale;
	}

	public String setENLocale() {
		FacesContext.getCurrentInstance().getViewRoot().
		setLocale(Locale.ENGLISH);
		locale = Locale.ENGLISH.toString();
		return "";
	}

	public String setSKLocale() {
		FacesContext.getCurrentInstance().getViewRoot().
		setLocale(new Locale("sk"));
		locale = "sk";
		return "";
	}

	public String setCZLocale() {
		FacesContext.getCurrentInstance().getViewRoot().
		setLocale(new Locale("cs"));
		locale = "cs";

		return "";
	}

}
