package jat.converters;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;

import jat.dto.StarShip;
import jat.fakeDB.StarShipDB;

@FacesConverter(forClass=StarShip.class)
public class StarShipConverter implements Converter{

	
	@Override
	public Object getAsObject(FacesContext facesContext, UIComponent arg1, String arg2) {
		if("null".equals(arg2)) {
			return null;
		}
		long id = Long.parseLong(arg2);
		StarShipDB starShipDB = (StarShipDB) facesContext.getApplication().getELResolver().
				   getValue(facesContext.getELContext(), null, "starShipDB");
		return starShipDB.find(id);
	}

	@Override
	public String getAsString(FacesContext arg0, UIComponent arg1, Object arg2) {
		if(arg2 != null) {
			StarShip s = (StarShip)arg2;
			return Long.toString(s.getId());
		}
		return "null";
	}
}
