package jat.fakeDB;

import javax.annotation.PostConstruct;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;

import jat.dto.Person;

@ManagedBean
@ApplicationScoped
public class PersonDB extends EntityDB<Person> {

	@ManagedProperty("#{starShipDB}")
	private StarShipDB starShipDB;

	public PersonDB() {
		insert(new Person("David", "Jezek"));
		insert(new Person("Pepa", "Zajic"));
		insert(new Person("Dalibor", "Had"));
		insert(new Person("Igor", "Hnizdo"));
		insert(new Person("Albert", "Kralik"));
	}

	@PostConstruct
	public void init() {
		find(1).setShip(starShipDB.find(1));
		find(2).setShip(starShipDB.find(1));
		find(3).setShip(starShipDB.find(2));
		find(5).setShip(starShipDB.find(2));
	}

	public StarShipDB getStarShipDB() {
		return starShipDB;
	}

	public void setStarShipDB(StarShipDB starShipDB) {
		this.starShipDB = starShipDB;
	}

}
