package jat.managedbeans;

import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.SessionScoped;

import jat.dto.StarShip;
import jat.fakeDB.StarShipDB;

@ManagedBean
@SessionScoped
public class StarShipMB {

	@ManagedProperty("#{starShipDB}")
	private StarShipDB starShipDB;// = new StarShipDB();
	private StarShip edited;
	
	public List<StarShip> getAllShips(){
		return starShipDB.getAll();
	}

	public StarShip getEdited() {
		return edited;
	}

	public void setEdited(StarShip edited) {
		this.edited = edited;
	}
	
	public String createNew(){
		edited = new StarShip();
		return "edit";
	}
	
	public String edit(StarShip s){
		edited = s;
		return "edit";
	}

	public String delete(StarShip s){
		starShipDB.remove(s.getId());
		return "index";
	}

	public String save(){
		if(edited.getId() == 0){
			starShipDB.insert(edited);
		} else {
			starShipDB.merge(edited);
		}
		return "index";
	}

	public StarShipDB getStarShipDB() {
		return starShipDB;
	}

	public void setStarShipDB(StarShipDB starShipDB) {
		this.starShipDB = starShipDB;
	}
	
	
}
