package jat.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import jat.dto.Person;
import jat.fakeDB.PersonDB;
import jat.managedbeans.PersonMB;

@WebServlet("/AvatarImage/*")
public class AvatarImage extends HttpServlet {

	@Override
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		long index = Long.parseLong(request.getPathInfo().substring(1));
		PersonDB personDB = ((PersonMB) request.getSession().getAttribute("personMB")).getPersonDB();
		if (personDB != null) {
			Person p = personDB.find(index);
			if (p != null && p.getAvatarImg() != null) {
				response.setContentType("image/png");
				response.setContentLength(p.getAvatarImg().length);
				response.getOutputStream().write(p.getAvatarImg());
			}
		}
	}

}
